import numpy as np

def input_parameters():

	# Test function ('rosenbrock', 'quadratic', 'himmelblau', 'bazaraa-shetty').
	function='quadratic'

	# Mass matrix inverse. Interpreted as initial mass matrix for auto-tuning.
	#Minv=np.array([[1.0, 0.0],[0.0, 0.01]])
	Minv=np.array([[1.0/100.0, 0.0],[0.0, 1.0/100.0]])
	#Minv=np.array([[1.0, 0.0],[0.0, 1.0/100.0]])

	# Total number of samples.
	N=10000

	# Number of leap-frog iterations.
	Nit=5

	# Leap-frog time step.
	dt=0.2

	# Plot trajectories. (Only for small number of samples (below 10 or so)!)
	plot_trajectories=False

	# Autotuning ('sr1', 'bfgs', False)
	autotune='bfgs'

	# Give some output.
	print('test function: %s\n' % function)
	print('(initial) inverse mass matrix:')
	print(Minv)
	print('\ntotal number of samples: %d\n' % N)
	print('maximum number of leapfrog iterations per trajectory: %d\n' % Nit)
	print('leapfrog time increment: %f\n' % dt)
	print('plot trajectories: %s\n' % plot_trajectories)
	print('autotuning: %s\n' % autotune)


	return function,Minv,N,Nit,dt,plot_trajectories,autotune